/* eslint valid-jsdoc: "off" */
'use strict';
module.exports = webpackDevMiddleware => {

    /**
     * 默认配置
     */
    const config = exports = {
        // config: 'path/to/webpack/config/file',
        publicPath: '/',//  绑定中间件的公共路径 
        noInfo: false,//  显示无信息到控制台（仅警告和错误） 
        quiet: false,//  向控制台显示任何内容 
        lazy: false,//  切换到延迟模式 这意味着没有观看，而是重新编译每个请求  
        watchOptions: {
            aggregateTimeout: 300,
            poll: true
        },// watch options (only lazy: false) 
        headers: { 'X-Custom-Header': 'yes' },//  自定义标题
        stats: {//  用于形成统计信息的选项 
            colors: true,
            chunks: false
        },
        hotConfig: {
            publicPath: '/',//  绑定中间件的公共路径
            // path: '__webpack_hmr',
            log: false,
            heartbeat: 2000
        }
    };
    return {
        ...config
    };
};

